Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6184/?format=api
{ "ob_id": 6184, "uuid": "1d9c0ece56c9b9867327d4308729c80e", "title": "Monthly Brightness Temperature (BT) Animations derived from high resolution BT images as part of the Cloud Archive User Service (CLAUS) Project.", "abstract": "Global Brightness Temperature imagery animations from the Cloud Archive User Service project. This project produced a long time-series of global thermal infra-red imagery of the Earth using data from operational meteorological satellites, which was used in validating atmospheric General Circulation Models.\r\n\r\nThe higher resolution CLAUS data were used to create monthly animations for educational purposes. The movie collection spans the period 1983-1994.\r\n\r\nFor detailed information about the CLAUS data (processing, quality, etc) please see available documentation (Docs).", "keywords": "CLOUDS, CLAUS, temperature, ATMOSPHERE", "publicationState": "published", "dataPublishedTime": "2013-04-09T20:09:47", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13161/?format=api", "dataPath": "/badc/claus/data/channel_2/movies", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 7047404126, "numberOfFiles": 161, "fileFormat": "The CLAUS monthly animations are stored in Apple's Quicktime format, using Photo JPEG (high) compression. To help with geographical orientation land is slightly embossed. A brightness temperature key and the date/time of the individual images are printed on the bottom right-hand corner." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3581/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25843/?format=api" ], "dataLineage": "Data obtained during the period from April 1997 to December 1999 by satellites. Latest version of the CLAUS data (4.7) was acquired as is from Dr Gary Robinson (University of Reading) in December 2009, and is stored in the BADC archive. Data updates from June 2006 to June 2009 were obtained from the data supplier in May 2013.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4009/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8547/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11081/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6179/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26194/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26193/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26199/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26192/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26195/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26196/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26197/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79067/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79064/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54659/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26198/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/11475/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2560/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://creativecommons.org/licenses/by-sa/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }